### Method

# Foundry VcsManager find_vcs

#### Declaration [src]

    FoundryVcs*
    foundry_vcs_manager_find_vcs (
      FoundryVcsManager* self,
      const char* vcs_id
    )

#### Description [src]

Looks through available vcss to find one matching `vcs_id`.

#### Parameters

`vcs_id`

  Type: `const char*`

  An identifier matching a `FoundryVcs:id`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FoundryVcs`

A `FoundryVcs` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.